Tweets
Berichten op id's ophalen
GET /v1/tweets reads 1 credits
Meerdere berichten op id in één aanroep, tot 20 per verzoek. Eén credit per id. Een id is het getal na /status/ in de link van een bericht.
Queryparameters
| Queryparameter | Type | Betekenis |
|---|---|---|
ids * | string (comma-separated, ≤ 20) | Door komma's gescheiden bericht-id's, maximaal 20 |
antwoord
items bevat de gevonden berichten in de gevraagde volgorde; id's die niet kunnen worden gevonden (verwijderd, beschermd of nooit bestaan) staan in missing. Veld voor veld: Tweet (lezen).
Status: 200, 400, 429, 502
verzoek
curl https://api.xsignalfeed.com/v1/tweets?ids=2099875660290228642,2100085873807364122,1234567890123456789 \ -H "Authorization: Bearer xsf_your_key"
antwoord · 200 / 400
{
"items": [
{
"id": 2099875660290228642,
"created_ms": 1789484345873,
"user_id": 44196397,
"user": "elonmusk",
"name": "Elon Musk",
"text": "Live demo of building a company with @Grok @Bot!",
"lang": "en",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2099875660290228642",
"is_rt": false,
"rt_of": null,
"is_quote": true,
"quoted": {
"id": "2099871914655424894",
"user": "poteto",
"name": "lauren",
"user_id": "2832427459",
"text": "going live in about an hour!\n\n…",
"media": [],
"media_items": [],
"created_ms": 1789483452844,
"url": "https://x.com/poteto/status/2099871914655424894"
},
"media": [],
"media_items": [],
"urls": [],
"views": "28720489",
"counts": {
"reply": 2323,
"rt": 2244,
"like": 22995,
"quote": 177,
"bookmark": 3136
},
"article": null,
"edit_of": null,
"edit_ids": [
2099875660290228642
],
"source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>"
},
{
"id": 2100085873807364122,
"user": "elonmusk",
"text": "😂🎯",
"…": "…"
}
],
"missing": [
"1234567890123456789"
]
}